package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import com.tzld.piaoquan.growth.common.utils.page.Page;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ThirdPartWeComStaffConfigExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public ThirdPartWeComStaffConfigExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andStaffIdIsNull() {
            addCriterion("staff_id is null");
            return (Criteria) this;
        }

        public Criteria andStaffIdIsNotNull() {
            addCriterion("staff_id is not null");
            return (Criteria) this;
        }

        public Criteria andStaffIdEqualTo(Long value) {
            addCriterion("staff_id =", value, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdNotEqualTo(Long value) {
            addCriterion("staff_id <>", value, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdGreaterThan(Long value) {
            addCriterion("staff_id >", value, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdGreaterThanOrEqualTo(Long value) {
            addCriterion("staff_id >=", value, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdLessThan(Long value) {
            addCriterion("staff_id <", value, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdLessThanOrEqualTo(Long value) {
            addCriterion("staff_id <=", value, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdIn(List<Long> values) {
            addCriterion("staff_id in", values, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdNotIn(List<Long> values) {
            addCriterion("staff_id not in", values, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdBetween(Long value1, Long value2) {
            addCriterion("staff_id between", value1, value2, "staffId");
            return (Criteria) this;
        }

        public Criteria andStaffIdNotBetween(Long value1, Long value2) {
            addCriterion("staff_id not between", value1, value2, "staffId");
            return (Criteria) this;
        }

        public Criteria andPutSceneIsNull() {
            addCriterion("put_scene is null");
            return (Criteria) this;
        }

        public Criteria andPutSceneIsNotNull() {
            addCriterion("put_scene is not null");
            return (Criteria) this;
        }

        public Criteria andPutSceneEqualTo(String value) {
            addCriterion("put_scene =", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneNotEqualTo(String value) {
            addCriterion("put_scene <>", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneGreaterThan(String value) {
            addCriterion("put_scene >", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneGreaterThanOrEqualTo(String value) {
            addCriterion("put_scene >=", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneLessThan(String value) {
            addCriterion("put_scene <", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneLessThanOrEqualTo(String value) {
            addCriterion("put_scene <=", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneLike(String value) {
            addCriterion("put_scene like", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneNotLike(String value) {
            addCriterion("put_scene not like", value, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneIn(List<String> values) {
            addCriterion("put_scene in", values, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneNotIn(List<String> values) {
            addCriterion("put_scene not in", values, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneBetween(String value1, String value2) {
            addCriterion("put_scene between", value1, value2, "putScene");
            return (Criteria) this;
        }

        public Criteria andPutSceneNotBetween(String value1, String value2) {
            addCriterion("put_scene not between", value1, value2, "putScene");
            return (Criteria) this;
        }

        public Criteria andChannelIsNull() {
            addCriterion("channel is null");
            return (Criteria) this;
        }

        public Criteria andChannelIsNotNull() {
            addCriterion("channel is not null");
            return (Criteria) this;
        }

        public Criteria andChannelEqualTo(String value) {
            addCriterion("channel =", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelNotEqualTo(String value) {
            addCriterion("channel <>", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelGreaterThan(String value) {
            addCriterion("channel >", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelGreaterThanOrEqualTo(String value) {
            addCriterion("channel >=", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelLessThan(String value) {
            addCriterion("channel <", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelLessThanOrEqualTo(String value) {
            addCriterion("channel <=", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelLike(String value) {
            addCriterion("channel like", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelNotLike(String value) {
            addCriterion("channel not like", value, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelIn(List<String> values) {
            addCriterion("channel in", values, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelNotIn(List<String> values) {
            addCriterion("channel not in", values, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelBetween(String value1, String value2) {
            addCriterion("channel between", value1, value2, "channel");
            return (Criteria) this;
        }

        public Criteria andChannelNotBetween(String value1, String value2) {
            addCriterion("channel not between", value1, value2, "channel");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagIsNull() {
            addCriterion("switch_flag is null");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagIsNotNull() {
            addCriterion("switch_flag is not null");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagEqualTo(Integer value) {
            addCriterion("switch_flag =", value, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagNotEqualTo(Integer value) {
            addCriterion("switch_flag <>", value, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagGreaterThan(Integer value) {
            addCriterion("switch_flag >", value, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("switch_flag >=", value, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagLessThan(Integer value) {
            addCriterion("switch_flag <", value, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagLessThanOrEqualTo(Integer value) {
            addCriterion("switch_flag <=", value, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagIn(List<Integer> values) {
            addCriterion("switch_flag in", values, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagNotIn(List<Integer> values) {
            addCriterion("switch_flag not in", values, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagBetween(Integer value1, Integer value2) {
            addCriterion("switch_flag between", value1, value2, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andSwitchFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("switch_flag not between", value1, value2, "switchFlag");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumIsNull() {
            addCriterion("open_room_send_switch_num is null");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumIsNotNull() {
            addCriterion("open_room_send_switch_num is not null");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumEqualTo(Integer value) {
            addCriterion("open_room_send_switch_num =", value, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumNotEqualTo(Integer value) {
            addCriterion("open_room_send_switch_num <>", value, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumGreaterThan(Integer value) {
            addCriterion("open_room_send_switch_num >", value, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("open_room_send_switch_num >=", value, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumLessThan(Integer value) {
            addCriterion("open_room_send_switch_num <", value, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumLessThanOrEqualTo(Integer value) {
            addCriterion("open_room_send_switch_num <=", value, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumIn(List<Integer> values) {
            addCriterion("open_room_send_switch_num in", values, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumNotIn(List<Integer> values) {
            addCriterion("open_room_send_switch_num not in", values, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumBetween(Integer value1, Integer value2) {
            addCriterion("open_room_send_switch_num between", value1, value2, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andOpenRoomSendSwitchNumNotBetween(Integer value1, Integer value2) {
            addCriterion("open_room_send_switch_num not between", value1, value2, "openRoomSendSwitchNum");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdIsNull() {
            addCriterion("primary_third_staff_id is null");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdIsNotNull() {
            addCriterion("primary_third_staff_id is not null");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdEqualTo(Long value) {
            addCriterion("primary_third_staff_id =", value, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdNotEqualTo(Long value) {
            addCriterion("primary_third_staff_id <>", value, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdGreaterThan(Long value) {
            addCriterion("primary_third_staff_id >", value, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdGreaterThanOrEqualTo(Long value) {
            addCriterion("primary_third_staff_id >=", value, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdLessThan(Long value) {
            addCriterion("primary_third_staff_id <", value, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdLessThanOrEqualTo(Long value) {
            addCriterion("primary_third_staff_id <=", value, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdIn(List<Long> values) {
            addCriterion("primary_third_staff_id in", values, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdNotIn(List<Long> values) {
            addCriterion("primary_third_staff_id not in", values, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdBetween(Long value1, Long value2) {
            addCriterion("primary_third_staff_id between", value1, value2, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andPrimaryThirdStaffIdNotBetween(Long value1, Long value2) {
            addCriterion("primary_third_staff_id not between", value1, value2, "primaryThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdIsNull() {
            addCriterion("second_third_staff_id is null");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdIsNotNull() {
            addCriterion("second_third_staff_id is not null");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdEqualTo(Long value) {
            addCriterion("second_third_staff_id =", value, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdNotEqualTo(Long value) {
            addCriterion("second_third_staff_id <>", value, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdGreaterThan(Long value) {
            addCriterion("second_third_staff_id >", value, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdGreaterThanOrEqualTo(Long value) {
            addCriterion("second_third_staff_id >=", value, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdLessThan(Long value) {
            addCriterion("second_third_staff_id <", value, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdLessThanOrEqualTo(Long value) {
            addCriterion("second_third_staff_id <=", value, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdIn(List<Long> values) {
            addCriterion("second_third_staff_id in", values, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdNotIn(List<Long> values) {
            addCriterion("second_third_staff_id not in", values, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdBetween(Long value1, Long value2) {
            addCriterion("second_third_staff_id between", value1, value2, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andSecondThirdStaffIdNotBetween(Long value1, Long value2) {
            addCriterion("second_third_staff_id not between", value1, value2, "secondThirdStaffId");
            return (Criteria) this;
        }

        public Criteria andConfigSyncIsNull() {
            addCriterion("config_sync is null");
            return (Criteria) this;
        }

        public Criteria andConfigSyncIsNotNull() {
            addCriterion("config_sync is not null");
            return (Criteria) this;
        }

        public Criteria andConfigSyncEqualTo(Integer value) {
            addCriterion("config_sync =", value, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncNotEqualTo(Integer value) {
            addCriterion("config_sync <>", value, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncGreaterThan(Integer value) {
            addCriterion("config_sync >", value, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncGreaterThanOrEqualTo(Integer value) {
            addCriterion("config_sync >=", value, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncLessThan(Integer value) {
            addCriterion("config_sync <", value, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncLessThanOrEqualTo(Integer value) {
            addCriterion("config_sync <=", value, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncIn(List<Integer> values) {
            addCriterion("config_sync in", values, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncNotIn(List<Integer> values) {
            addCriterion("config_sync not in", values, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncBetween(Integer value1, Integer value2) {
            addCriterion("config_sync between", value1, value2, "configSync");
            return (Criteria) this;
        }

        public Criteria andConfigSyncNotBetween(Integer value1, Integer value2) {
            addCriterion("config_sync not between", value1, value2, "configSync");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}